SystemOrganization addCategory: #'Glamour-Announcements'!

Announcement subclass: #GLMContextChanged
	instanceVariableNames: 'presentation property value oldValue'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Glamour-Announcements'!

!GLMContextChanged commentStamp: 'tg 2/20/2010 14:55' prior: 0!
A GLMContextChanged is announced by a presentation when an outer port event raises.!

!GLMContextChanged methodsFor: 'testing' stamp: ' 4/5/09 22:18'!
announcesNewSelection 
	"ContextChanged announces a new selection if 
	the updated port is #selection and the new value is different from the current selection. 
	This method is useful when updating the selection in UI widgets, because 
	we only want to affect the widget when there actually is a new selection" 
	 
	^self property = #selection 
		and: [self presentation selection ~~ self value]! !

!GLMContextChanged methodsFor: 'accessing' stamp: ' 4/5/09 22:18'!
oldValue 
	 
	^oldValue! !

!GLMContextChanged methodsFor: 'accessing' stamp: ' 4/5/09 22:18'!
oldValue: anObject 
	 
	oldValue := anObject! !

!GLMContextChanged methodsFor: 'accessing' stamp: ' 4/5/09 22:18'!
presentation 
	 
	^presentation! !

!GLMContextChanged methodsFor: 'accessing' stamp: ' 4/5/09 22:18'!
presentation: aPresentation 
	 
	presentation := aPresentation! !

!GLMContextChanged methodsFor: 'printing' stamp: 'TudorGirba 10/30/2011 10:51'!
printOn: aStream
	super printOn: aStream.
	aStream 
		nextPutAll: ' (presentation = ';
		nextPutAll: self presentation printString;
		nextPutAll: ', property = #';
		nextPutAll: self property;
		nextPutAll: ', oldValue = ';
		nextPutAll: self oldValue asString;
		nextPutAll: ', value = ';
		nextPutAll: self value asString;
		nextPutAll: ')'! !

!GLMContextChanged methodsFor: 'accessing' stamp: ' 4/5/09 22:18'!
property 
	 
	^property! !

!GLMContextChanged methodsFor: 'accessing' stamp: ' 4/5/09 22:18'!
property: aSymbol 
	 
	property := aSymbol! !

!GLMContextChanged methodsFor: 'accessing' stamp: ' 4/5/09 22:18'!
value 
	 
	^value! !

!GLMContextChanged methodsFor: 'accessing' stamp: ' 4/5/09 22:18'!
value: anObject 
	 
	value := anObject! !

Announcement subclass: #GLMMatchingPresentationsChanged
	instanceVariableNames: 'pane oldMatchingPresentations'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Glamour-Announcements'!

!GLMMatchingPresentationsChanged commentStamp: 'tg 2/20/2010 14:56' prior: 0!
A GLMMatchingPresentationsChanged is announced by the pane when the presentations that should be displayed change due to changes in the values of the ports of the pane.!

!GLMMatchingPresentationsChanged methodsFor: 'accessing-convenience' stamp: 'tg 1/11/2010 20:59'!
matchingPresentations 
	"The presentations that match now."
	^ self pane matchingPresentations! !

!GLMMatchingPresentationsChanged methodsFor: 'accessing' stamp: ' 4/5/09 22:18'!
oldMatchingPresentations 
	"The presentations that matched before this announcement." 
	 
	^oldMatchingPresentations! !

!GLMMatchingPresentationsChanged methodsFor: 'accessing' stamp: ' 4/5/09 22:18'!
oldMatchingPresentations: aCollection 
	"The presentations that matched before this announcement." 
	 
	oldMatchingPresentations := aCollection! !

!GLMMatchingPresentationsChanged methodsFor: 'accessing' stamp: ' 4/5/09 22:18'!
pane 
	"The pane on which the matching presentations changed." 
	 
	^pane! !

!GLMMatchingPresentationsChanged methodsFor: 'accessing' stamp: ' 4/5/09 22:18'!
pane: aPane 
	"The pane on which the matching presentations changed." 
	 
	pane := aPane! !

!GLMMatchingPresentationsChanged methodsFor: 'printing' stamp: 'tg 1/11/2010 08:47'!
printOn: aStream
	super printOn: aStream.
	aStream nextPutAll: ' (pane = ', self pane printString , ')'! !

Announcement subclass: #GLMPresentationUpdated
	instanceVariableNames: 'presentation'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Glamour-Announcements'!

!GLMPresentationUpdated commentStamp: 'tg 2/20/2010 14:54' prior: 0!
A GLMPresentationUpdated is announced by the presentation when an update is wanted.!

!GLMPresentationUpdated methodsFor: 'accessing' stamp: 'tg 8/24/2010 21:40'!
presentation
	^ presentation! !

!GLMPresentationUpdated methodsFor: 'accessing' stamp: 'tg 8/24/2010 21:40'!
presentation: anObject
	presentation := anObject! !

Announcement subclass: #GLMPresentationsChanged
	instanceVariableNames: 'pane oldPresentations'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Glamour-Announcements'!

!GLMPresentationsChanged commentStamp: 'tg 2/20/2010 14:57' prior: 0!
A GLMPresentationsChanged is announced by the pane when the set of presentations changes.!

!GLMPresentationsChanged methodsFor: 'accessing' stamp: ' 4/5/09 22:18'!
oldPresentations 
	"The presentations that were present on the pane before the change." 
	 
	^oldPresentations! !

!GLMPresentationsChanged methodsFor: 'accessing' stamp: ' 4/5/09 22:18'!
oldPresentations: aCollection 
	"The presentations that were present on the pane before the change." 
	 
	oldPresentations := aCollection! !

!GLMPresentationsChanged methodsFor: 'accessing' stamp: ' 4/5/09 22:18'!
pane 
	"The pane on which the presentations changed." 
	 
	^pane! !

!GLMPresentationsChanged methodsFor: 'accessing' stamp: ' 4/5/09 22:18'!
pane: aPane 
	"The pane on which the presentations changed." 
	 
	pane := aPane! !

!GLMPresentationsChanged methodsFor: 'accessing-convenience' stamp: ' 4/5/09 22:18'!
presentations 
	"The presentationt that are currently present on the pane." 
	 
	^self pane presentations! !

!GLMPresentationsChanged methodsFor: 'printing' stamp: 'tg 1/11/2010 08:48'!
printOn: aStream
	super printOn: aStream.
	aStream nextPutAll: ' (pane = ', self pane printString , ')'! !

Announcement subclass: #GLMTransmissionTriggered
	instanceVariableNames: 'transmission'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Glamour-Announcements'!

!GLMTransmissionTriggered commentStamp: '<historical>' prior: 0!
A GLMTransmissionTriggered is announced by a browser when a transmission brokered by the browser is triggered.!
